
@import url('https://fonts.googleapis.com/css?family=Raleway:200,300,400,500,600,700,800,900');
@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@300..700&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

html {
background-color: #fafafa;
width: 100%;
height: 100%;
padding: 0;
margin: 0;
}

body {
font-family: 'Raleway' , sans-serif;
background: #fafafa;
width: 100%;
height: 100%;
padding: 0;
margin: 0;
overflow-x: hidden;
}

* {
margin: 0;
padding: 0;
box-sizing: border-box;

}

body.no-scroll {
  overflow: hidden;
  position: fixed;
  width: 100%;
}

#pageContent.blur {
  filter: blur(5px);
  transition: filter 0.3s ease;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}


/* menu ordinateur */

#mainHeader {
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 80px;
      background-color: #fafafa;
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 0 30px;
      transition: box-shadow 0.5s ease;
      z-index: 999;
    }

    #mainHeader.scrolled {
      box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    
    }

    .logo img {
    padding-left: 90px;
    padding-top: 5px;
    margin: 0;
    height: 65px;
    display: block;
    }

    nav ul {
    padding-right: 70px;
    list-style: none;
    display: flex;
    gap: 60px;
    }

    nav ul li a { 
    position: relative;
    font-family: 'Raleway';
    font-size: 1.1rem;
    font-weight: 400;
    text-decoration: none;
    color: #333;
    transition: color 0.3s;
    }

    .menu1 {
      margin-right: -40px;
    }

    /* Menu déroulant */

    .menu-deroulant {
      position: relative;
}

.sous-menu {
  position: absolute;
  top: 40%;
  left: 0;
  right: -30px;
  background-color: #fafafa;
  padding: 10px 5px 15px 5px;
  border-radius: 10px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.3);
  display: none;
  min-width: 160px;
  z-index: 1000;
}

.menu-deroulant:hover .sous-menu {
  display: block;
}

.sous-menu li {
  padding: 0;
  text-align: left;
  padding: 0 15px;
}

.sous-menu li a {
  display: block;
  padding: 8px 0;
  color: #333;
  text-decoration: none;
  position: relative;
  transition: color 0.3s;
  font-size: 1rem;
}

/* Effet point gris sur les liens du sous-menu */
.sous-menu li a::before {
  content: '';
  position: absolute;
  left: 50%;
  bottom: 2px;
  transform: translateX(-50%);
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background: #666666;
  opacity: 0;
  transition: opacity 0.4s ease, transform 0.4s ease;
}

.sous-menu li a:hover::before {
  opacity: 1;
  transform: translateX(-50%) translateY(3px);
}


    /* Fin Menu déroulant */


.menu a, .menuouvert {
font-family: 'Raleway';
font-size: 1.1em;
text-decoration: none;
color: #000028;
font-weight: 400;
}

.menuouvert li {

left: 50%;
bottom: -7px;
transform: translateX(-50%);
 width: 6px;
height: 6px;
border-radius: 50%;
background: #666666;
opacity: 1;
}

nav ul li {
  position: relative; /* Permet au ::before de se positionner par rapport au <li> */
}

nav ul li a::before {
  content: '';
  position: absolute;
  left: 50%;
  bottom: -7px;
  transform: translateX(-50%);
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background: #666666;
  opacity: 0;
  transition: opacity 0.4s ease, transform 0.4s ease;
}

nav ul li a:hover::before {
  opacity: 1;
  transform: translateX(-50%) translateY(3px);
}

#responsive {
  display: none;
}

/* =========== corps ============ */

#entet .logo-responsive {
  display: none;
}


#titre h1 {
  display: inline-block;
  font-family: 'Raleway' , 'Open Sans',  arial;
  font-weight: 700;
  margin:  250px 0 50px 340px;
  color:  #000028;
  text-transform: none;
  font-size: 2.25rem;
}


#items {
    font-family: 'Raleway';
	margin-right: 25%;
	margin-left: 28%;
	margin-top: 40px;
    margin-bottom: 150px;
	padding-right: 25px;
	text-align: justify;
	color: #000028;
}


#items h3 {
	text-align: left;
	color: #000028;
	font-family: 'Raleway', verdana, arial, sans-serif;
	font-size: 1.4rem;
	font-weight: 600;
	padding-top: 10px; 
}

.modal {
	font-size: 1.1rem;
	padding: 30px 70px;
}

.modal1 {
	font-size: 1em;
	padding-left:50px;
}

.modal2 {
	font-size: 1.1rem;
	margin-left:30px;
	list-style-type: circle;
    line-height: 32px;
	padding: 30px 40px;
}

.auteur {
    font-size: 1.2rem;
    font-weight: 500;
}
.modal4 a {
    text-decoration: none;
	color: #666666;
}




/*footer*/


    footer {
      font-family: 'Raleway';
      font-size: 1.1rem;
      font-weight: 400;
      background: #f3f3f3;
      padding: 2rem 1rem;
      text-align: center;
    }

    .footer-columns {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      gap: 12rem;
      margin-bottom: 1.5rem;
    }

    .footer-column {
      display: flex;
      flex-direction: column;
      align-items: start;
      min-width: 140px;
      padding-top: 40px;
      padding-bottom: 60px;
    }

    .footer-column a {
      position: relative;
      color: #000028;#333;
      text-decoration: none;
      margin: 0.5rem 0;
      font-size: 1em;
      transition: color 0.3s ease;
    }

    .footer-column a::after {
      content: "";
      position: absolute;
      bottom: -8px;
      left: 50%;
      transform: translateX(-50%);
      width: 7px;
      height: 7px;
      background: #666;
      border-radius: 50%;
      opacity: 0;
      transition: opacity 0.7s ease, transform 0.5s ease;
    }

    .footer-column a:hover::after {
      opacity: 1;
    }

    .footer-colum {
      padding-top: 40px;
    }

    .social-icons {
      display: flex;
      gap: 30px;
      justify-content: center;
      margin-top: 0.5rem;
    }

    .social-icons a img {
      width: 30px;
      height: 30px;
      transition: transform 0.3s ease;
    }

    .social-icons a:hover img {
      transform: scale(1.25);
    }

    .copyright {
      font-size: 0.875rem;
      color: #565656;
    }

    
    /* ====================Responsive Design (max-width: 980px) ====================== */

    @media (max-width: 980px) {

  #mainHeader {
   display: none;
  }


  #responsive, #entet .logo-responsive {
  display: block;
  }

/* fin menu ordinateur */

/* Logo responsive dans #entet */
.logo-responsive {
  position: absolute;
  top: 20px;
  left: 20px;
  height: 30px;
  z-index: 2;
}

.logo-responsive img {
  height: 30px;
}


#entet{

    height:auto;
    padding:120px 25px 60px;
    flex-direction:column;
    gap:35px;

    text-align:center;
}


#spher{

    display:none;
}

.titre1{

    font-size:2.3rem;
    line-height:1.2;
    margin: auto;
    text-align: left;
  
}




/* Bouton hamburger */
.menu-toggle {
  position: fixed;
  top: 20px;
  right: 20px;/*20px*/
  z-index: 1001;
  cursor: pointer;
  font-size: 35px;
}

/* Zone de menu latéral */
.side-menu {
  position: fixed;
  top: 0;
  right: -55%;
  width: 43%;
  max-width: 300px;
  height: 100%;
  background: #f3f3f3;
  box-shadow: -2px 0 10px rgba(0,0,0,0.2);
  transition: right 0.4s ease;
  padding: 30px 20px;
  box-sizing: border-box;
  z-index: 1000;
}


/* Menu ouvert */
.side-menu.open {
  right: 0;
}

/* Liens principaux */
.side-menu ul {
  flex-direction: column;
  margin-top: 70px;
  list-style: none;
  padding: 0;
}

.side-menu ul li {
  margin: 10px 0;
}

.side-menu ul li a {
  text-decoration: none;
  color: #333;
  font-size: 1.1rem;
  font-weight: 600;
}


/* Icône croix */
.menu-toggle.open:before {
  content: '✖';
}

/* Icône hamburger par défaut */
.menu-toggle:before {
  content: '☰';
}


/* =====================================================
   PAGE MENTIONS LÉGALES
   ===================================================== */

#titre{
    width:92%;
    margin:120px auto 40px;
}

#titre h1{

    display:block;
    margin:0;
    text-align:center;
    font-size:2.2rem;
    line-height:1.2;
}

#items{

    width:92%;
    max-width:700px;

    margin:40px auto 80px;

    padding:0;

    text-align:left;
}

#items h3{

    font-size:1.5rem;
    margin-top:45px;
    margin-bottom:15px;
    padding-top:0;
}

.modal,
.modal4{

    padding:15px 0;
    font-size:1.08rem;
    line-height:1.8;
}

.modal2{

    margin:0;
    padding:15px 0 15px 20px;

    font-size:1.08rem;

    list-style: "–";
}

.modal2 li{

    margin-bottom:8px;
}

.modal4 a{

    word-break:break-word;
}


 /* footer */

.footer-columns {
  flex-direction: column;
  align-items: center;
  gap: 2rem;
}

.footer-column {
  padding-top: 20px;
  padding-bottom: 20px;
  align-items: center;
  width: 100%;
}

.footer-column a {
  font-size: 1.15rem;
}
.social-icons {
  gap: 50px;
     
}

.social-icons a img {
  width: 50px;
  height: 50px;
  transition: transform 0.3s ease;
}

.copyright {
font-size: 1.2rem;
}

}



